Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.editor.internal.e3
Class ShortLabelProvider

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
          org.eclipse.emf.ecp.editor.internal.e3.ShortLabelProvider

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.INotifyChangedListener, org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider, org.eclipse.jface.viewers.ITableLabelProvider

    public class ShortLabelProvider

extends AdapterFactoryLabelProvider

Label provider to shorten the getText Method.

Author:
  helming

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
`AdapterFactoryLabelProvider.ColorProvider, AdapterFactoryLabelProvider.FontAndColorProvider, AdapterFactoryLabelProvider.FontProvider`

Constructor Summary
`ShortLabelProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)` Default constructor.

Method Summary
`String` | `getText(Object object)` This implements `ILabelProvider`.getText by forwarding it to an object that implements `IItemLabelProvider.getText`

Methods inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
`addListener, dispose, fireLabelProviderChanged, getAdapterFactory, getBackground, getBackground, getColumnImage, getColumnText, getDefaultBackground, getDefaultFont, getDefaultForeground, getFont, getFont, getForeground, getForeground, getImage, isFireLabelUpdateNotifications, isLabelProperty, notifyChanged, removeListener, setAdapterFactory, setDefaultBackground, setDefaultFont, setDefaultForeground, setFireLabelUpdateNotifications`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShortLabelProvider

    public ShortLabelProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

  Default constructor.

  Parameters:
    `adapterFactory` - the `AdapterFactory` to be used.

Method Detail

### getText

    public String getText(Object object)

  This implements `ILabelProvider`.getText by forwarding it to an object that implements `IItemLabelProvider.getText`

  Specified by:
    `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
  Overrides:
    `getText` in class `AdapterFactoryLabelProvider`
  See Also:
    `IItemLabelProvider.getText(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.